Bug 139965 - LTC12578-Benchmarking(ab) failed in RHR2 testing
LTC12578-Benchmarking(ab) failed in RHR2 testing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: backend (Show other bugs)
2
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Rob Landry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 17:39 EST by IBM Bug Proxy
Modified: 2007-04-18 13:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 13:04:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2004-11-18 17:39:05 EST
The following has be reported by IBM LTC:  
Benchmarking(ab) failed in RHR2 testing


Hardware Environment:
 Hostname: plinuxt8.cn.ibm.com
 Model:    p630
 HMC  :    plinuxt1.cn.ibm.com
Firmware Environment:
 RM3R041029
Software Environment:
 RHEL4 Beta2 isos.
 kernel : 2.6.9-1.648_EL
 rhr2 packages: rhr2-rhel4-0.9-14.9b.noarch.rpm

Steps to Reproduce:
1. Install rhr2-rhel4-0.9-14.9b.noarch.rpm
2. setup rhr2 test env
3. do NETWORK sub-test by redhat-ready.
  
Actual Results:
 NETWORK test fail
Expected Results:
 NETWORK test pass

Additional Information:
[root@plinuxt8 14]# cat error.log 
12+0 records in
12+0 records out
apr_poll: The timeout specified has expired (70007)
[root@plinuxt8 14]# uname -r
2.6.9-1.648_EL

Jun,
 Please provide more infomation on setting the env. and how the test
was run.

Mark,
What was the resolution for bug 11829? I can not get anything out of
that bug.
Was it a testcase or kernel issue?

Thanks

NETWORK requires a remote machine to talk to.  On this remote machine
a user 
with ssh, apache bench, and mount permissions is required. The default
user 
is "root"; this may be overridden in /etc/rhr/tests.conf. and also we
should 
privode the remote machine to be contacted in /etc/rhr/tests.conf. 

Please do RHR configuration under directory /etc/rhr. 


Jun,
is this recreatable? and how often?
Comment 1 IBM Bug Proxy 2004-11-18 20:31:17 EST
----- Additional Comments From bujunhui@cn.ibm.com  2004-11-18 20:29 EDT -------
Yes, this is recreatable. see following function in NETWORK script.

tcp_test(){
 service httpd start
 scp $httptestfile $RHRUSER@$SERVER:~/httptest.file
 ssh -l $RHRUSER -x $SERVER 
     "ab -c 128 -k -n 256 -p ~/httptest.file $ipaddr/httptest.file"
}

ab is a tool for benchmarking Apache (HTTP) server. 
option "-n" -- Number of requests to perform for the benchmarking session.

If we decrease number of requests, we can pass this benchmark. otherwise if we 
use default(256) number, it failed exactly. 
Comment 2 IBM Bug Proxy 2004-11-19 05:21:10 EST
----- Additional Comments From bujunhui@cn.ibm.com  2004-11-19 05:19 EDT -------
Recreate this bug on plinuxt6 which is a 630(Power4). 
Comment 3 IBM Bug Proxy 2004-11-19 05:31:36 EST
----- Additional Comments From bujunhui@cn.ibm.com  2004-11-19 05:25 EDT -------
As well recreate this bug on castorlp1.upt.austin.ibm.com which is a SF2(Power5) 
Comment 4 David Lawrence 2004-11-22 12:11:39 EST
Changing product.
Comment 5 James Laska 2004-12-15 13:34:34 EST
In discussion with rlandry, it appears this is a known issue (dealing with
apr_pool timeout issues).  Rob, are there any workarounds to the problem?
Comment 8 Rob Landry 2004-12-21 14:56:06 EST
still work issue; still effects 0.9-16-pre-rc1.1 package.
Comment 9 IBM Bug Proxy 2004-12-27 04:06:11 EST
----- Additional Comments From bujunhui@cn.ibm.com  2004-12-27 04:00 EDT -------
Recreate this bug with rhr2-rhel4-0.9-14.9i.noarch.rpm on rhel4-pre-rc2.

Fyi.
[root@romelp1 tests]# tail /var/log/rhr/tests/NETWORK/1/output.log 
Starting httpd: [  OK  ]
+ scp /var/www/html/httptest.file 'root@9.3.111.249:~/httptest.file'
+ ssh -l root -x 9.3.111.249 'ab -c 128 -k -n 256 -p ~/httptest.file 
9.3.111.153/httptest.file'
This is ApacheBench, Version 2.0.41-dev <$Revision: 1.141 $> apache-2.0
Copyright (c) 1996 Adam Twiss, Zeus Technology Ltd, http://www.zeustech.net/
Copyright (c) 1998-2002 The Apache Software Foundation, http://www.apache.org/

Benchmarking 9.3.111.153 (be patient)
apr_poll: The timeout specified has expired (70007)
196878881320399768977964849610609286410 
Comment 10 IBM Bug Proxy 2005-01-18 10:25:23 EST
---- Additional Comments From khoa@us.ibm.com  2005-01-18 10:21 EST -------
I'd like to move RHR bugs to Ship Issue as this will impact the RH 
certification of our power hardware.  Thanks. 
Comment 11 Bob Johnson 2005-01-18 12:26:52 EST
Rob and IBM, is this still an issue with the latest RC rhr2 shipped
last week ?
Comment 17 IBM Bug Proxy 2005-01-18 13:29:33 EST
---- Additional Comments From marksmit@us.ibm.com  2005-01-18 13:22 EST -------
CSDL will test the latest rhr2 on RC bits this weekend.  results by 1/24. 
Comment 18 IBM Bug Proxy 2005-01-20 06:10:27 EST
---- Additional Comments From bujunhui@cn.ibm.com  2005-01-20 06:04 EST -------
Fixed in latest RHR RC. 
Comment 19 mark wisner 2005-02-24 08:11:38 EST
this is closed on the IBM side. This can be closed on the Red Hat side
Comment 20 Rob Landry 2005-04-14 13:04:48 EDT
closing based on markwiz comment on 2/24

Note You need to log in before you can comment on or make changes to this bug.